/*
            Drag'n'Drop Inventory by LucknFavor
------------------------------------------------------------

This demo is made to teach people how to impliment an advanced
      grid inventory and drag'n'drop equipping methods.

                          Demo Credits
                   Programming : LucknFavor
                         Icons : LucknFavor



No credit is needed if used, and if you have further questions, post my account :).

::::How to use the demo::::

	-Get Items : Right click while standing near the obj.
	-Drop Items : Drag them anywhere on the screen that isn't
	           a defined location. The Demo's defined locations
	           are default.weaponslot and default.inventory.
	-Equipping Items : Drag and Drop the item from the Inventory Grid
	                 to the weaponslot Grid underneth the Weaponslot label.
	-Unequipping Items : Drag from the Weaponslot Grid to the Inventory Grid,
	                  or anyother undefined location on the Default window.

-----------------------------------------------------------
                       Making it work




::::First Things First - Putting Together Our Interface::::

   Create Two Grid's in Interface, One for Inventory,
            The other for the Weaponslot.
 You can also look inside my Interface.dmf and poke around
           to look for yourself ;).

1. Inventory Grid Settings(GRID)
	General Tab
		-ID (in Demo) : inventory
		-Checkmark : Drop Zone
	Options Tab
		-Current Cell : 1,1
		-Checkmark : Is a flexible list of entries
2. Weapon Slot Settings (GRID)
	General Tab
		-ID (in Demo) : weaponslot
		-Checkmark : Drop Zone
	Options Tab
		-Current Cell : 1,1
		-Checkmark : Is a flexible list of entries


::::MouseDrop()::::

MouseDrop(src_object,over_object,src_location,over_location,src_control,over_control,params)


	src_object: the object being dragged and dropped.

	over_object: what object is under the mouse.

	src_location: the grid in which the object was in before being dragged.

	over_location: the skin ID containing the object under the mouse.

	src_control: The grid ID from where the object was dropped from.

	over_control: The grid ID the object was dropped into.

	params: additional flags used by mouse/keyboards, such as if they are holding shift while dragging and dropping the item.

*/



mob
	icon='Icons.dmi'
	icon_state="player"
turf
	icon='Icons.dmi'
	icon_state="turf"
world
	view="8x8"

client
	mouse_pointer_icon='Mouse.dmi'