mob
	var
		weapon// we are going to need a variable to tell the player, What is his weapon

mob/var/list/hiddenlist= list() // I made this list for equipped items to be removed from the usr.contents, so it doesn't show up in the inventory after you equip it.

obj/Weapons/var
	equipped=0// this is for the weapon to know if its equipped or not. 0 right now because it isnt equipped.
	overlayer // This is variable to define what overlayer to add to the usr

obj
	Weapons
		Sword
			icon='Icons.dmi'
			icon_state="weapon1"
			name = "Sword"
			overlayer = /obj/overlayers/Sword //define it by the obj's overlay path
		Axe
			icon='Icons.dmi'
			icon_state="weapon2"
			name = "Axe"
			overlayer= /obj/overlayers/Axe
	overlayers //lets define our overlays now for the weapons.
		Axe
			icon='Overlayers.dmi'
			icon_state="axe"
		Sword
			icon='Overlayers.dmi'
			icon_state="sword"

//Here's the update to tell the Grid Inventory, what to have within' it.
mob/proc/UpdateInv()
	var/I = 0
	for(var/obj/O in src.contents)//Loop through all the items in the players contents
		winset(src, "default.inventory", "current-cell=1,[++I]")	//Add multiple cells horizontally for each obj
		src << output(O, "default.inventory")//Send the obj's in src.contents to the Grid
	winset(src,"default.inventory", "cells=[I]")//Set the amount of cells to the amount within I
//The Drag'n'Drop Processes
obj
	Weapons
		verb/Get()
			set src in oview(1)
			if(src in oview(1))
				src.loc = usr
				usr << "You pick up a [name]!"
				usr.UpdateInv() //Now lets tell our new invy what we just did.

		MouseDrag(src_object,over_object,src_location,over_location,src_control,over_control,params)
			if(!(src in usr.contents)) return
			else
				var/icon/I = new(src.icon,src.icon_state)//this is for the Blend affect
				var/icon/D = new('Mouse.dmi',"drags")//This is the icon were going to give the mouse_drag_pointer
				D.Blend(I,ICON_OVERLAY)//Blend our new Icon D and our obj icon(I) into one another
				mouse_drag_pointer = D // now lets set the mouse pointer to the new blended icon


		MouseDrop(over_object=src,src_location,over_location, src_control,over_control,params)

			//Equip
			if(src in usr.contents)
				if(src_control == "default.inventory")//Check if it is COMING from the inventory pane.
					if(over_control == "default.weaponslot")//Check if its being DROPPED over the weaponslot.
						if(!usr.weapon)
							usr.weapon=src
							src.loc = usr.hiddenlist //send it away so it doesnt show up in the invy.
							equipped=1
							usr << output(usr.weapon, "default.weaponslot") //Output to our weaponslot grid on the interface, the new change.
							usr.UpdateInv()
							usr <<"You equip [src.name]"
						else
							usr << "You must unequip your [usr.weapon] first."

				//Drop
				if(over_location==null) //Drags it to where ever else, that we haven't define above.
					if(!equipped)
						switch(alert("Are you sure you want to drop [name]?","Drop [name]","Drop it","Cancel"))
							if("Drop it")
								src.loc=locate(usr.x,usr.y,usr.z)
								usr.UpdateInv()
							else return
					else
						usr << "You cannot drop [name] while it is equipped!"
						return

			//Unequip
			else
				if(src_control =="default.weaponslot")//if what were dragging from is the weaponslot iteself
					if(usr.weapon==src)
						if(equipped)
							usr.weapon=null
							equipped=0
							src.loc=usr // send it back to the usr.contents (using usr sends it directly to usr.contents by default.)
							usr << output(usr.weapon, "default.weaponslot")
							usr.UpdateInv()
							usr << "You unequip [src.name]"
